From 7f2a3d244511f7bd26f6d581e7b4faa74774367a Mon Sep 17 00:00:00 2001
From: Gabriele Musco <gabmus@disroot.org>
Date: Sat, 2 Dec 2023 01:44:43 +0100
Subject: [PATCH 42/54] feat: cfg_attr for feature window instead of
 duplicating entite struct declaration

---
 .../vulkan_info/feature_window/mod.rs         | 23 ++-----------------
 1 file changed, 2 insertions(+), 21 deletions(-)

diff --git a/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs b/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
index 4046dbde..1a7f96d0 100644
--- a/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
+++ b/lact-gui/src/app/root_stack/info_page/vulkan_info/feature_window/mod.rs
@@ -46,29 +46,10 @@ mod imp {
     #[cfg(feature = "libadwaita")]
     use libadwaita::subclass::window::AdwWindowImpl;
 
-    #[cfg(feature = "libadwaita")]
-    #[derive(CompositeTemplate, Properties, Default)]
-    #[properties(wrapper_type = super::VulkanFeaturesWindow)]
-    #[template(file = "ui/vulkan_features_window.blp")]
-    pub struct VulkanFeaturesWindow {
-        #[property(get, set)]
-        model: RefCell<Option<gio::ListModel>>,
-        #[template_child]
-        features_factory: TemplateChild<SignalListItemFactory>,
-
-        #[template_child]
-        filter_model: TemplateChild<FilterListModel>,
-
-        #[template_child]
-        search_filter: TemplateChild<StringFilter>,
-        #[template_child]
-        search_entry: TemplateChild<SearchEntry>,
-    }
-
-    #[cfg(not(feature = "libadwaita"))]
     #[derive(CompositeTemplate, Properties, Default)]
     #[properties(wrapper_type = super::VulkanFeaturesWindow)]
-    #[template(file = "ui/vulkan_features_window_gtk.blp")]
+    #[cfg_attr(feature = "libadwaita", template(file = "ui/vulkan_features_window.blp"))]
+    #[cfg_attr(not(feature = "libadwaita"), template(file = "ui/vulkan_features_window_gtk.blp"))]
     pub struct VulkanFeaturesWindow {
         #[property(get, set)]
         model: RefCell<Option<gio::ListModel>>,

